%define	major 3
%define libname	%mklibname ykclient %{major}
%define develname %mklibname -d ykclient

Summary:	Implements online validation of Yubikey OTPs
Name:		ykclient
Version:	2.15
Release:	%mkrel 3
Group:		System/Libraries
License:	BSD
URL:		https://github.com/Yubico/yubico-c-client
Source0:	https://github.com/Yubico/yubico-c-client/archive/%{name}-%{version}.tar.gz
BuildRequires:	autoconf
BuildRequires:	chrpath
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	help2man
BuildRequires:	libtool

%description
This is a library written in C to validate a Yubikey OTP against the Yubico
online server.

%package -n	%{libname}
Summary:	Implements online validation of Yubikey OTPs
Group:          System/Libraries
Obsoletes:	%{mklibname libyubikey-client 0}

%description -n	%{libname}
This is a library written in C to validate a Yubikey OTP against the Yubico
online server.

%package -n	%{develname}
Summary:	Static library and header files for the libykclientt library
Group:		Development/C
Provides:	%{name}-devel = %{version}
Requires:	%{libname} = %{version}
Obsoletes:	%{mklibname libyubikey-client -d}

%description -n	%{develname}
This is a library written in C to validate a Yubikey OTP against the Yubico
online server.

This package contains the static libyubikey-client library and its header files.

%prep
%setup -qn yubico-c-client-%{name}-%{version}

%build
autoreconf -fi
%configure --disable-static
%make_build

%install
%make_install
rm -f %{buildroot}%{_libdir}/*.la

# nuke rpath
chrpath -d %{buildroot}%{_bindir}/ykclient

%files
%{_bindir}/ykclient
%{_mandir}/man1/*.1*

%files -n %{libname}
%doc AUTHORS NEWS README
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/*
%{_libdir}/*.so


%changelog
* Fri Feb 14 2020 umeabot <umeabot> 2.15-3.mga8
+ Revision: 1519101
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 2.mga7-current
+ Revision: 1302023
- Mageia 7 Mass Rebuild

* Sun Apr 15 2018 kekepower <kekepower> 2.15-1.mga7
+ Revision: 1218737
- Update to version 2.15
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Mon Nov 30 2015 neoclust <neoclust> 2.14-1.mga6
+ Revision: 907363
- New verrsion  2.14

* Wed Oct 15 2014 umeabot <umeabot> 2.12-3.mga5
+ Revision: 749825
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.12-2.mga5
+ Revision: 690834
- Mageia 5 Mass Rebuild

* Tue Nov 05 2013 fwang <fwang> 2.12-1.mga4
+ Revision: 549536
- update file list
- update file list
- disable static
- br help2man
- use autoreconf
- new version 2.12
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 2.9-2.mga3
+ Revision: 387561
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 22 2012 dlucio <dlucio> 2.9-1.mga3
+ Revision: 296694
- 2.9
- imported package ykclient


* Wed Jun 29 2011 Oden Eriksson <oeriksson@mandriva.com> 2.6-1mdv2011.0
+ Revision: 688181
- 2.6

* Sat May 07 2011 Oden Eriksson <oeriksson@mandriva.com> 2.4-3
+ Revision: 671944
- mass rebuild

* Sun Mar 13 2011 Oden Eriksson <oeriksson@mandriva.com> 2.4-2
+ Revision: 644242
- bump
- disable make check for now
- 2.4
- fix make check

* Sat Oct 16 2010 Oden Eriksson <oeriksson@mandriva.com> 2.3-4mdv2011.0
+ Revision: 586028
- rebuild

* Tue Oct 12 2010 Oden Eriksson <oeriksson@mandriva.com> 2.3-3mdv2011.0
+ Revision: 585119
- rebuild

* Thu Jun 11 2009 Oden Eriksson <oeriksson@mandriva.com> 2.3-2mdv2010.0
+ Revision: 385135
- fix one stupid thing...
- obsolete the correct libs :-)
- import ykclient


* Thu Jun 11 2009 Oden Eriksson <oeriksson@mandriva.com> 2.3-1mdv2009.0
- the project was renamed from libyubikey-client to ykclient

* Wed Mar 18 2009 Oden Eriksson <oeriksson@mandriva.com> 1.5-1mdv2009.1
+ Revision: 357408
- 1.5

* Wed Sep 17 2008 Oden Eriksson <oeriksson@mandriva.com> 1.4-1mdv2009.0
+ Revision: 285330
- 1.4
- drop upstream patches

* Tue Sep 16 2008 Oden Eriksson <oeriksson@mandriva.com> 1.2-2mdv2009.0
+ Revision: 284995
- revert to 1.2 due to version freeze
- add fixes from upstream svn
- 1.3

* Tue Sep 16 2008 Oden Eriksson <oeriksson@mandriva.com> 1.2-1mdv2009.0
+ Revision: 284923
- import libyubikey-client

* Tue Sep 16 2008 Oden Eriksson <oeriksson@mandriva.com> 1.2-1mdv2009.0
- initial Mandriva package
